Issue with Android 2.3.4 and 2.3.3 devices #7116

Closed
skrpc opened this Issue Feb 14, 2014 · 1 comment

Comments

Projects
None yet
3 participants
@skrpc

skrpc commented Feb 14, 2014

Lines 3195 and 3222 of jquery.mobile-1.4.1.js use the token default. This is a reserved keyword and fails on Android 2.3.3 and 2.3.4 devices which I assume do not use ECMAScript Fifth edition as the issue does not occur on Android 4.0.4 device.

If I change lines 3195 and 3222 to use for example defaultDuration the issue is resolved.

@scyclops

This comment has been minimized.

Show comment
Hide comment
@scyclops

scyclops Feb 15, 2014

I'm also running into this error because of the use of the word default. It creates a SyntaxError when I try to use jquery mobile 1.4.1 in my phonegap/cordova app. I found the commit that introduced this bug at the link below:

749c78e

I'm also running into this error because of the use of the word default. It creates a SyntaxError when I try to use jquery mobile 1.4.1 in my phonegap/cordova app. I found the commit that introduced this bug at the link below:

749c78e

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment